package com.ruoyi.quartz.service;

import com.ruoyi.quartz.domain.c_rb_product_price;
import com.ruoyi.quartz.domain.c_rb_productbase_price;

import java.util.List;

/**
 * SAP库存数据批量插入中间表
 */

public interface SapTjService {

    /**
     * 获取红本调价版本
     * @return
     */
    public String selRbVersionUid();

    /**
     * 获取本地红本调价版本
     * @return
     */
    public String selLocVersionUid();

    /**
     * 获取红本价格
     * @param rbVersionUid
     * @return
     */
    List<c_rb_product_price> getProductPriceList(String rbVersionUid);

    /**
     * 获取红本成本价格
     * @param rbVersionUid
     * @return
     */
    List<c_rb_productbase_price> getProductBasePriceList(String rbVersionUid);

    /**
     * 删除本地红本价格表
     */
    void deleteLocProductPrice();

    /**
     * 删除本地红本成本价格表
     */
    void deleteLocProductBasePrice();

    /**
     * RbProductPrice表是否有更新
     * @param rbVersionUid
     * @return
     */
    String selRbProductPriceVersionUid(String rbVersionUid);

    /**
     * RbProductBasePrice表是否有更新
     * @param rbVersionUid
     * @return
     */
    String selRbProductBasePriceVersionUid(String rbVersionUid);

    /**
     * 更新本地c_rb_version表
     * @param rbVersionUid
     */
    void updateLocRbVersion(String rbVersionUid);
}
